# $Revision: 1.13 $, $Date: 2010/03/02 12:57:57 $
%define pkgname xhtmldiff
Summary:	Ruby XHTML difference finder
Summary(pl.UTF-8):	Narzędzie do znajdywania różnic w XHTML-u napisane w Rubym
Name:		ruby-%{pkgname}
Version:	1.2.2
Release:	1
License:	Ruby
Source0:	http://theinternetco.net/projects/ruby/%{pkgname}-%{version}.tar.gz
# Source0-md5:	b1536c3a2f378a4e918dcc5fae2038b3
Group:		Development/Libraries
URL:		http://theinternetco.net/projects/ruby/xhtmldiff
BuildRequires:	rpmbuild(macros) >= 1.484
BuildRequires:	ruby >= 1:1.8.6
BuildRequires:	ruby-modules
Requires:	ruby-diff-lcs
%{?ruby_mod_ver_requires_eq}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
XHTMLDiff finds the difference between any two XHTML documents and
returns the result as valid XHTML with <ins> and <del> tags.

%description -l pl.UTF-8
XHTMLDiff znajduje różnice między dwoma dokumentami XHTML i zwraca
wynik jako poprawny XHTML ze znacznikami <ins> i <del>.

%package rdoc
Summary:	HTML documentation for %{pkgname}
Summary(pl.UTF-8):	Dokumentacja w formacie HTML dla %{pkgname}
Group:		Documentation
Requires:	ruby >= 1:1.8.7-4

%description rdoc
HTML documentation for %{pkgname}.

%description rdoc -l pl.UTF-8
Dokumentacja w formacie HTML dla %{pkgname}.

%package ri
Summary:	ri documentation for %{pkgname}
Summary(pl.UTF-8):	Dokumentacja w formacie ri dla %{pkgname}
Group:		Documentation
Requires:	ruby

%description ri
ri documentation for %{pkgname}.

%description ri -l pl.UTF-8
Dokumentacji w formacie ri dla %{pkgname}.

%package -n xhtmldiff
Summary:	Find differences in XHTML documents
Summary(pl.UTF-8):	Znajdywanie różnic w dokumentach XHTML
Group:		Applications/Text

%description -n xhtmldiff
Find differences in XHTML documents.

%description -n xhtmldiff -l pl.UTF-8
Znajdywanie różnic w dokumentach XHTML.

%prep
%setup -q -n %{pkgname}-%{version}

%build
ruby setup.rb config --site-ruby=%{ruby_rubylibdir} --so-dir=%{ruby_archdir}
ruby setup.rb setup

rdoc --ri --op ri lib
rdoc --op rdoc lib
rm -r ri/{Math,REXML}
rm ri/created.rid

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{ruby_rubylibdir},%{ruby_ridir},%{ruby_rdocdir}}

ruby setup.rb install --prefix=$RPM_BUILD_ROOT

cp -a ri/* $RPM_BUILD_ROOT%{ruby_ridir}
cp -a rdoc $RPM_BUILD_ROOT%{ruby_rdocdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%{ruby_rubylibdir}/xhtmldiff*

%files rdoc
%defattr(644,root,root,755)
%{ruby_rdocdir}/%{name}-%{version}

%files ri
%defattr(644,root,root,755)
%{ruby_ridir}/XHTMLDiff

%files -n xhtmldiff
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: ruby-xhtmldiff.spec,v $
Revision 1.13  2010/03/02 12:57:57  baggins
- up to 1.2.2
- added rdoc and ri packages

Revision 1.12  2007/02/12 22:09:14  glen
- tabs in preamble

Revision 1.11  2007/02/12 01:06:31  baggins
- converted to UTF-8

Revision 1.10  2005/12/31 10:36:33  twittner
- change %%ruby_mod_ver_requires_eq to %%{?ruby_mod_ver_requires_eq} -
  expand this macro only if defined to avoid parse error when appropriate
  BRs is not installed yet (solution provided by glen)

Revision 1.9  2005/12/29 16:59:48  twittner
- replace R: ruby-modules with %%ruby_mod_ver_requires_eq macro
  defined as `Requires: ruby-modules(ver) = 1.8' where `1.8' is
  major ruby version taken from rbconfig
- add BR: rpmbuild(macros) >= 1.277 with aforementioned macros

Revision 1.8  2005/12/27 09:45:22  twittner
- (B)R: s/ruby/ruby-modules/, rel. 2 (mass commit through script)

Revision 1.7  2005/11/19 13:32:04  glen
- use system ruby macros
- cleanups, corrections, cosmetics

Revision 1.6  2005/10/25 19:23:18  aredridel
- R: ruby-Diff-LCS

Revision 1.5  2005/03/30 17:20:16  saq
- missing defattr

Revision 1.4  2004/11/05 19:24:25  qboosh
- pl, cleanup

Revision 1.3  2004/11/05 09:43:44  aredridel
- up to 1.2.0

Revision 1.2  2004/11/05 07:11:27  aredridel
- correct license

Revision 1.1  2004/11/05 07:11:03  aredridel
- added
